/*
 * SwingFinderEOCodeMarchesNib.java
 *
 * Created on 21 aout 2008, 09:09
 */

package org.cocktail.application.client.swingfinder.nib;

import org.cocktail.application.palette.JPanelCocktail;

/**
 *
 * @author  mparadot
 */
public class SwingFinderEOCodeMarcheNib extends JPanelCocktail {
    
    /** Creates new form SwingFinderEOCodeMarchesNib */
    public SwingFinderEOCodeMarcheNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jToolBar1 = new javax.swing.JToolBar();
        btTableview = new org.cocktail.application.palette.JButtonCocktail();
        jSeparator1 = new javax.swing.JToolBar.Separator();
        btTreeview = new org.cocktail.application.palette.JButtonCocktail();
        jPanel2 = new javax.swing.JPanel();
        jButtonCocktailFiltrer = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailCritere2 = new org.cocktail.application.palette.JTextFieldCocktail();
        jTextFieldCocktailCritere1 = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jTableResultat = new org.cocktail.application.palette.JTableViewCocktail();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailSelectionner = new org.cocktail.application.palette.JButtonCocktail();

        jPanel1.setLayout(new java.awt.BorderLayout());

        jToolBar1.setFloatable(false);
        jToolBar1.setRollover(true);

        btTableview.setText("table");
        btTableview.setFocusable(false);
        btTableview.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btTableview.setMaximumSize(new java.awt.Dimension(22, 22));
        btTableview.setMinimumSize(new java.awt.Dimension(22, 22));
        btTableview.setPreferredSize(new java.awt.Dimension(22, 22));
        btTableview.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(btTableview);
        jToolBar1.add(jSeparator1);

        btTreeview.setText("treeview");
        btTreeview.setFocusable(false);
        btTreeview.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btTreeview.setMaximumSize(new java.awt.Dimension(22, 22));
        btTreeview.setMinimumSize(new java.awt.Dimension(22, 22));
        btTreeview.setPreferredSize(new java.awt.Dimension(22, 22));
        btTreeview.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(btTreeview);

        jPanel1.add(jToolBar1, java.awt.BorderLayout.CENTER);

        jButtonCocktailFiltrer.setText("Filtrer");

        jLabelCocktail1.setText("Code :");

        jLabelCocktail2.setText("Libelle :");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jTextFieldCocktailCritere1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jTextFieldCocktailCritere2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 422, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButtonCocktailFiltrer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE)
                .add(26, 26, 26))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap(25, Short.MAX_VALUE)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailCritere1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailCritere2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailFiltrer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jButtonCocktailAnnuler.setText("Annuler");

        jButtonCocktailSelectionner.setText("Selectionner");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 648, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jTableResultat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 608, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 426, Short.MAX_VALUE)
                        .add(jButtonCocktailSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTableResultat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JButtonCocktail btTableview;
    private org.cocktail.application.palette.JButtonCocktail btTreeview;
    private org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    private org.cocktail.application.palette.JButtonCocktail jButtonCocktailFiltrer;
    private org.cocktail.application.palette.JButtonCocktail jButtonCocktailSelectionner;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JToolBar.Separator jSeparator1;
    private org.cocktail.application.palette.JTableViewCocktail jTableResultat;
    private org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailCritere1;
    private org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailCritere2;
    private javax.swing.JToolBar jToolBar1;
    // End of variables declaration//GEN-END:variables

    public org.cocktail.application.palette.JButtonCocktail getBtTableview() {
        return btTableview;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtTreeview() {
        return btTreeview;
    }

    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
        return jButtonCocktailAnnuler;
    }

    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailFiltrer() {
        return jButtonCocktailFiltrer;
    }

    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailSelectionner() {
        return jButtonCocktailSelectionner;
    }

    public org.cocktail.application.palette.JTableViewCocktail getJTableResultat() {
        return jTableResultat;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailCritere1() {
        return jTextFieldCocktailCritere1;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailCritere2() {
        return jTextFieldCocktailCritere2;
    }
    
}
